// mixins variables
@import "../variables.scss";
//header
$header-background: #343a40;
$header-name: #fafafa;
//menu
$menu-link: #fffffe;
//body
$text-color: #292929;
$link-color: #2574b9;
$link-color-hover: #044873;
$body-bg: #ffffff;
$html-u-underline: #292920;
$html-hr: #cacaca;
// $html-unordered-list-bullets: #333330;
$html-caption: #aaaaaa;
//tabs
$tabs-active-background: #f2f6fa;
$tabs-active-text: #1161af;
$tabs-inactive-background: #fffdfd;
$tabs-inactive-text: #105ea9;
//table
$table-background: #fefefe;
$table-header-background: #212529;
$table-header-color: #efefef;
$table-row-even: #e9ecef;
$table-row-odd: #f9f9fa;
$table-row-text: #333333;
$table-footer-background: #333339;
$table-footer-text: #999999;
//icons
$icons-slider-navigation-active: #f1862d;
$icons-slider-navigation-inactive: #dddddd;
$icons-chevrons-underline: #f1862e;
$icons-blockquotes: #bbbbbb;
$icons-slider-arrow-active: #0855a0;
$icons-slider-arrow-inactive: #bebebe;
//VIEWS
$views-cards-background: #0f5aa4;
$views-cards-title: #fdfeff;
$views-cards-color: #e9f5ff;
//TAXONOMY
$tag-background: #165e9d;
$tag-color: #f2f9ff;
//BUTTONS
$buttons-border: #063b6f;
$buttons-primary-background: #074888;
$buttons-primary-text: #fbfdff;
$buttons-primary-background-hover: #595959;
$buttons-primary-text-hover: #02172a;
$buttons-secondary-background: #0d62b6;
$buttons-secondary-text: #ececec;
$buttons-secondary-background-hover: #696b6c;
$buttons-secondary-text-hover: #062d53;
//footer
$footer-background: #191919;
$footer-text: #fffeee;
$footer-link: #fffefe;
$footer-link-hover: #0d72ca;
// body
body {
  color: $text-color;
  background: $footer-background;
}

main {
  background: $body-bg;
}

// header
header {
  .site-info {
    &__text {
      &__name,
      &__slogan {
        color: $header-name;
        a {
          color: $header-name;
          text-decoration: none;
        }
      }
    }
  }
}

header {
  background: $header-background;
  .nav {
    & > li {
      & > a,
      & > span {
        color: $menu-link;
        &:after {
          background: $icons-chevrons-underline;
        }
      }
    }
  }

  .cern-search {
    a {
      color: $menu-link;

      &:after {
        background: $icons-chevrons-underline;
      }
    }

    #cern-search-overlay {
      background: $header-background;

      .form-item {
        &:before {
          color: $menu-link;
        }

        input {
          border-color: $menu-link;
          color: $menu-link;
        }
      }
    }
  }
}

header .navbar-default {
  .navbar-nav {
    & > li > a {
      color: $menu-link;
    }
    & > li > a:hover,
    & > li > a:focus {
      color: $menu-link;
    }
    & > .open > a,
    & > .open > a:hover,
    & > .open > a:focus {
      color: $menu-link;
    }
  }
}

@media (max-width: 767px) {
  header .navbar-default {
    .navbar-header {
      button {
        .icon-bar {
          background-color: $menu-link;
        }
      }
    }

    .navbar-nav {
      .open {
        .dropdown-menu {
          & > li > a {
            color: $menu-link;
          }
          & > li > a:hover,
          & > li > a:focus {
            color: $menu-link;
          }
          & > .active > a,
          & > .active > a:hover,
          & > .active > a:focus {
            color: $menu-link;
            background-color: $header-background;
          }
          & > .disabled > a,
          & > .disabled > a:hover,
          & > .disabled > a:focus {
            color: $menu-link;
          }
        }
      }
    }
  }
}

header .navbar-collapse.collapse.in,
header .navbar-collapse.collapsing {
  background: $header-background;
}

// dropdown
header .dropdown-menu {
  background: $header-background;
  border-color: $header-background;
  &:before {
    border-color: transparent transparent $header-background transparent;
  }
  & > li {
    & > a,
    & > span {
      background: $header-background;
      color: $menu-link;
      &:before {
        color: $menu-link;
      }
      &:after {
        background: $icons-chevrons-underline;
      }
      &:hover,
      &.is-active {
        &:before {
          color: $icons-chevrons-underline;
        }
      }
      &:hover,
      &:focus {
        background: $header-background;
        color: $menu-link;
      }
    }
    & > font {
      color: $menu-link;
    }
  }
}

.sidebar-left,
.sidebar-right,
.component-row__sidebar-right,
.component-row__sidebar-left {
  // menu styles under sidebar-left and sidebar-right
  nav {
    ul:not(.pagination):not(.contextual-links) {
      background-color: $header-background;
      li {
        // first level
        a,
        span {
          color: $menu-link !important;

          &:hover {
            color: $menu-link;

            &::before {
              color: $icons-chevrons-underline;
            }
          }

          &::after {
            color: $icons-chevrons-underline;
          }
        }
      }
    }
  }
}

.sticky-header {
  header {
    background: $header-background !important;
  }
}

.has-header header.menu-expanded {
  background: $header-background !important;
}

// language switcher
.block-language {
  .active-language {
    a {
      color: $menu-link;
      &:after {
        background: $icons-chevrons-underline;
      }
    }
  }
  ul.links {
    background: $header-background;
    &::before {
      border-color: transparent transparent $header-background transparent;
    }
    a {
      color: $menu-link;
      &:after {
        background: $icons-chevrons-underline;
      }
    }
  }
}

// tabs
.region-content > nav.tabs {
  background: $header-background;
  a.is-active {
    color: $header-background;
  }
}

main .field--type-text-with-summary,
main .text-component-text.basic_html,
main .text-component-text.restricted_html,
main .text-component-text.cern_full_htm {
  .nav-tabs {
    li {
      a {
        color: $tabs-inactive-text;
        background: $tabs-inactive-background;
      }
      &.active,
      &:hover {
        a {
          background: $tabs-active-background;
          color: $tabs-active-text;
        }
      }
    }
  }
  .tab-content {
    background: $tabs-active-background;
    color: $tabs-active-text;
  }
}

// footer
body > footer {
  background: $footer-background;
  color: $footer-text;
  h2 {
    color: $footer-text !important;
    &:after {
      background: $footer-text !important;
    }
  }
  nav ul.menu.nav li a {
    color: $footer-link;
    &:hover,
    &.is-active {
      color: $footer-link;
      &:before {
        color: $icons-chevrons-underline;
      }
    }
    &:before {
      color: $footer-link;
    }
    &:after {
      background: $icons-chevrons-underline;
    }
  }
  section[id*="followus"]:after {
    background: $footer-text;
  }
  section a {
    color: $footer-link !important;
    &:hover {
      color: $footer-link-hover !important;
    }
  }
  div[class*="footercolumn1"] {
    &:after {
      background: $footer-text;
    }
  }
  .block-custom-wrapper {
    color: $footer-text;
    .field--name-field-visible-title {
      color: $footer-text;
      &:after {
        background: $footer-text;
      }
    }
  }
}

// html markup
main {
  .field--type-text-with-summary,
  .text-component-text.basic_html,
  .text-component-text.restricted_html,
  .text-component-text.cern_full_html,
  .basic-node-full-content-body,
  .event-node-full-content-body,
  .faq-node-full-content-body,
  .event-node-full-content-body,
  .resources-node-full-content-file,
  .system-node-full-content-body,
  .event-node-full-content-body,
  .news-node-full-content-body,
  .component-event-item {
    a {
      color: $link-color;
      &:hover {
        color: $link-color-hover;
      }
    }
    ul {
      li {
        &::before {
          color: $html-u-underline;
        }
      }
    }
    u {
      text-decoration-color: $html-u-underline;
    }
    table {
      background: $table-background;
      thead {
        th {
          background: $table-header-background;
          color: $table-header-color;
          padding: 5px;
        }
      }
      tbody {
        tr:nth-child(odd) {
          background-color: $table-row-odd;
        }
        tr:nth-child(even) {
          background-color: $table-row-even;
        }
        td {
          color: $table-row-text;
        }
      }
      tfoot {
        td {
          background-color: $table-footer-background;
          color: $table-footer-text;
        }
      }
    }
    .blockquote,
    blockquote,
    q {
      color: $icons-blockquotes;
    }
    hr {
      border-top-color: $html-hr !important;
    }
  }
}

.field--type-link {
  a {
    color: $link-color;
    &:hover {
      color: $link-color-hover;
    }
  }
}

// dots
.owl-theme .owl-dots .owl-dot span {
  background: $icons-slider-navigation-inactive;
}

.owl-theme .owl-dots .owl-dot.active span,
.owl-theme .owl-dots .owl-dot:hover span {
  background: $icons-slider-navigation-active;
}

.owl-theme .owl-dots .owl-dot.active,
.owl-theme .owl-dots .owl-dot:hover {
  border-width: 2px;
  border-style: solid;
  border-color: $icons-slider-navigation-active !important;
}

// slider arrows
.component-slider .owl-nav .owl-prev,
.component-slider .owl-nav .owl-next {
  color: $icons-slider-arrow-active;
}

.component-slider .owl-nav .owl-prev:hover,
.component-slider .owl-nav .owl-next:hover {
  color: $icons-slider-arrow-active;
}

.component-slider .owl-nav .owl-prev.disabled,
.component-slider .owl-nav .owl-next.disabled {
  color: $icons-slider-arrow-inactive;
}

// caption
.component-slide figcaption,
.component-slide__caption {
  color: $html-caption;
}

.cern-caption,
figcaption {
  color: $html-caption !important;
  * {
    color: $html-caption !important;
  }
}

// tags
.field {
  &.field--type-entity-reference {
    a {
      background: $tag-background;
      color: $tag-color;
      &:hover {
        color: $tag-color;
      }
    }

    .field--items {
      .field--item {
        a {
          background: $tag-background;
          color: $tag-color;
          &:hover {
            color: $tag-color;
          }
        }
      }
    }
  }
}

.news-node-full-content-tags {
  a {
    background-color: $tag-background;
    color: $tag-color;
    &:hover {
      color: $tag-color;
    }
  }
}

.resources-node-full-content-tags {
  a {
    background-color: $tag-background;
    color: $tag-color;
    &:hover {
      color: $tag-color;
    }
  }
}

.event-node-full-content-file {
  .file-link {
    background-color: $tag-background;
    a {
      color: $tag-color;
      &:hover {
        color: $tag-color;
      }
    }
  }
}

.upper-cern-tag,
.cern-tag {
  background-color: $tag-background;
  color: $tag-color;
}

// buttons
.views-exposed-form .btn.btn-info,
.btn-default {
  color: $buttons-secondary-text;
  background-color: $buttons-secondary-background;
  border-color: $buttons-border;
  &:focus,
  &.focus {
    color: $buttons-secondary-text-hover;
    background-color: $buttons-secondary-background-hover;
    border-color: $buttons-border;
  }
  &:hover {
    color: $buttons-secondary-text-hover;
    background-color: $buttons-secondary-background-hover;
    border-color: $buttons-border;
  }
  &:active,
  &.active {
    color: $buttons-secondary-text-hover;
    background-color: $buttons-secondary-background-hover;
    border-color: $buttons-border;
    background-image: none;
    &:hover,
    &:focus,
    .focus {
      color: $buttons-secondary-text-hover;
      background-color: $buttons-secondary-background-hover;
      border-color: $buttons-border;
    }
  }
  .badge {
    color: $buttons-secondary-text;
    background-color: $buttons-secondary-background;
  }
  &.disabled:hover,
  &[disabled]:hover,
  &.disabled:focus,
  &[disabled]:focus,
  &.disabled.focus,
  &[disabled].focus {
    background-color: $buttons-secondary-background-hover;
    border-color: $buttons-border;
  }
}

.open > .dropdown-toggle.btn-default {
  color: $buttons-secondary-text-hover;
  background-color: $buttons-secondary-background-hover;
  border-color: $buttons-border;
  background-image: none;
  &:hover,
  &:focus,
  &.focus {
    color: $buttons-secondary-text-hover;
    background-color: $buttons-secondary-background-hover;
    border-color: $buttons-border;
  }
}

fieldset[disabled] .btn-default:hover,
fieldset[disabled] .btn-default:focus,
fieldset[disabled] .btn-default.focus {
  background-color: $buttons-secondary-background-hover;
  border-color: $buttons-border;
}

.btn-primary {
  color: $buttons-primary-text;
  background-color: $buttons-primary-background;
  border-color: $buttons-border;
}

.btn-primary:focus,
.btn-primary.focus {
  color: $buttons-primary-text-hover;
  background-color: $buttons-primary-background-hover;
  border-color: $buttons-border;
}

.btn-primary:hover {
  color: $buttons-primary-text-hover;
  background-color: $buttons-primary-background-hover;
  border-color: $buttons-border;
}

.btn-primary:active,
.btn-primary.active,
.open > .dropdown-toggle.btn-primary {
  color: $buttons-primary-text-hover;
  background-color: $buttons-primary-background-hover;
  border-color: $buttons-border;
}

.btn-primary:active:hover,
.btn-primary.active:hover,
.open > .dropdown-toggle.btn-primary:hover,
.btn-primary:active:focus,
.btn-primary.active:focus,
.open > .dropdown-toggle.btn-primary:focus,
.btn-primary:active.focus,
.btn-primary.active.focus,
.open > .dropdown-toggle.btn-primary.focus {
  color: $buttons-primary-text-hover;
  background-color: $buttons-primary-background-hover;
  border-color: $buttons-border;
}

.btn-primary:active,
.btn-primary.active,
.open > .dropdown-toggle.btn-primary {
  background-image: none;
}

.btn-primary.disabled:hover,
.btn-primary[disabled]:hover,
fieldset[disabled] .btn-primary:hover,
.btn-primary.disabled:focus,
.btn-primary[disabled]:focus,
fieldset[disabled] .btn-primary:focus,
.btn-primary.disabled.focus,
.btn-primary[disabled].focus,
fieldset[disabled] .btn-primary.focus {
  background-color: $buttons-primary-background-hover;
  border-color: $buttons-border;
}

.btn-primary .badge {
  color: $buttons-primary-text;
  background-color: $buttons-primary-background;
}

.btn-success {
  color: $buttons-primary-text;
  background-color: $buttons-primary-background;
  border-color: $buttons-border;
}

.btn-success:focus,
.btn-success.focus {
  color: $buttons-primary-text-hover;
  background-color: $buttons-primary-background-hover;
  border-color: $buttons-border;
}

.btn-success:hover {
  color: $buttons-primary-text-hover;
  background-color: $buttons-primary-background-hover;
  border-color: $buttons-border;
}

.btn-success:active,
.btn-success.active,
.open > .dropdown-toggle.btn-success {
  color: $buttons-primary-text-hover;
  background-color: $buttons-primary-background-hover;
  border-color: $buttons-border;
}

.btn-success:active:hover,
.btn-success.active:hover,
.open > .dropdown-toggle.btn-success:hover,
.btn-success:active:focus,
.btn-success.active:focus,
.open > .dropdown-toggle.btn-success:focus,
.btn-success:active.focus,
.btn-success.active.focus,
.open > .dropdown-toggle.btn-success.focus {
  color: $buttons-primary-text-hover;
  background-color: $buttons-primary-background-hover;
  border-color: $buttons-border;
}

.btn-success:active,
.btn-success.active,
.open > .dropdown-toggle.btn-success {
  background-image: none;
}

.btn-success.disabled:hover,
.btn-success[disabled]:hover,
fieldset[disabled] .btn-success:hover,
.btn-success.disabled:focus,
.btn-success[disabled]:focus,
fieldset[disabled] .btn-success:focus,
.btn-success.disabled.focus,
.btn-success[disabled].focus,
fieldset[disabled] .btn-success.focus {
  background-color: $buttons-primary-background-hover;
  border-color: $buttons-border;
}

.btn-success .badge {
  color: $buttons-primary-text;
  background-color: $buttons-primary-background;
}

// views
.views-view-grid {
  .views-row {
    .views-col {
      article {
        background: $views-cards-background;
        color: $views-cards-color;
        a {
          color: $link-color;
          &:before {
            color: $icons-chevrons-underline;
          }
          &:hover {
            color: $link-color-hover;
          }
        }
        & > h2 {
          a {
            color: $views-cards-title;
            &:hover {
              color: $views-cards-title;
            }
          }
        }
      }
    }
  }
}

.view {
  .view-content {
    table {
      background: $table-background;

      thead {
        th {
          background: $table-header-background;
          color: $table-header-color;
          padding: 5px;
        }
      }

      tbody {
        tr:nth-child(odd) {
          background-color: $table-row-odd;
        }

        tr:nth-child(even) {
          background-color: $table-row-even;
        }

        td {
          color: $table-row-text;
        }
      }

      tfoot {
        td {
          background-color: $table-footer-background;
          color: $table-footer-text;
        }
      }
    }
  }
}

main {
  .block-custom-wrapper {
    .field--type-text-with-summary,
    .text-component-text.basic_html,
    .text-component-text.restricted_html,
    .text-component-text.cern_full_html {
      a {
        color: $link-color;
        &:hover {
          color: $link-color-hover;
        }
      }
    }
  }
}

// pagination
.pagination {
  & > li {
    a,
    span {
      @include transition(all 0.3s ease-in-out 0s);
      color: $link-color;
    }
    a::before {
      color: $link-color;
    }
    a:hover {
      color: $link-color-hover;
    }
  }
  .page {
    &__item--previous,
    &__item--next {
      &::before {
        color: $link-color;
      }
      &:hover {
        &::before {
          color: $link-color-hover;
        }
      }
    }
  }
}

/* ALL POSIBLE FUTURE PAGE VIEWS */

.view,
.view.event-grid {
  .view-header {
    color: $text-color;
    a {
      color: $link-color;
      &.active:after {
        background: $link-color-hover;
      }
      * {
        color: $link-color;
        &:hover {
          color: $link-color-hover;
        }
      }
    }
  }
  .view-content {
    * {
      color: $text-color;
    }
    a {
      color: $link-color;
      &:hover {
        color: $link-color-hover;
      }
      * {
        color: $link-color;
        &:hover {
          color: $link-color-hover;
        }
      }
    }
  }
}

/* ALL EVENTS PAGE VIEWS */

.cern-view-display-page.cern-view-display-feature_events,
.cern-view-display-page.cern-view-display-past_events {
  .view-header {
    color: $text-color !important;
    a {
      color: $link-color !important;
    }
  }
  .view-content {
    .views-row {
      * {
        color: $text-color !important;
      }
      .agenda-box-cal-button a.btn {
        color: $buttons-primary-text !important;
      }
      a:not(.btn) {
        color: $link-color !important;
        &:hover {
          color: $link-color-hover !important;
        }
        * {
          color: $link-color !important;
          &:hover {
            color: $link-color !important;
          }
        }
      }
    }
  }
}

/* UPCOMING EVENTS */

.cern-view-display-block.cern-view-display-upcoming_events {
  .owl-nav {
    position: relative;
    .owl-prev {
      &:after {
        color: $link-color;
      }
      &:hover:after {
        color: $link-color-hover;
      }
      &.disabled {
        &:after {
          color: $text-color;
        }
      }
    }
    .owl-next {
      &:after {
        color: $link-color;
      }
      &:hover:after {
        color: $link-color-hover;
      }
      &.disabled {
        &:after {
          color: $text-color;
        }
      }
    }
  }
  .agenda-box-pattern {
    * {
      color: $text-color !important;
    }
    a {
      color: $link-color !important;
      &:hover {
        color: $link-color-hover !important;
      }
      * {
        color: $link-color !important;
        &:hover {
          color: $link-color !important;
        }
      }
    }
  }
}

/* News, Taxonomies, search list pages mobile cards*/

@media only screen and (max-width: 767px) {
  .cern-view-display-page.cern-view-display-all_news .view-content .views-row,
  .cern-view-display-page.view-general-search .view-content .views-row,
  .cern-view-display-page.cern-view-display-page_taxonomies
    .view-content
    .views-row {
    .box-pattern {
      a,
      .preview-cards__subtext {
        color: white !important;
        * {
          color: white !important;
        }
      }
    }
  }
}

/* ALL FAQS */

.cern-view-display-page.cern-view-display-faq_page {
  .view-header {
    color: rgba(0, 0, 0, 0.4) !important;
    a {
      color: $link-color !important;
    }
  }
  .view-content {
    .views-row {
      * {
        color: $text-color !important;
      }
      span.collapseManager {
        color: $link-color !important;
      }
      a {
        color: $link-color !important;
        &:hover {
          color: $link-color-hover !important;
        }
        * {
          color: $link-color !important;
          &:hover {
            color: $link-color !important;
          }
        }
      }
    }
  }
}

/* ALL Resources PAGE VIEWS */

.cern-view-display-page.cern-view-display-resources,
.resources-mosaic {
  .view-header {
    color: $text-color !important;
    a {
      color: $link-color !important;
      &.active:after {
        background: $link-color-hover !important;
      }
    }
  }
  .view-content {
    * {
      color: white !important;
    }
    a {
      color: white !important;
      &:hover {
        color: white !important;
      }
      * {
        color: white !important;
        &:hover {
          color: white !important;
        }
      }
    }
  }
}

// TAXONOMIES
.cern-view-display-page.cern-view-display-page_taxonomies {
  .view-content {
    .views-row {
      .box-pattern:not(.agenda-box-pattern) {
        * {
          color: white !important;
        }
      }
      /* .box-pattern.agenda-box-pattern {
        * {
          color: white !important;
        }
      } */
    }
  }
}

// AGENDA EXPLOSIONS
@media screen and (max-width: 991px) {
  .cern-view-display-block.cern-view-display-upcoming_events,
  .events-collision {
    .owl-item.active {
      .carousel-cern-item.row {
        .views-row {
          .agenda-box-pattern {
            &:before {
              border-color: $icons-chevrons-underline !important;
            }
          }
        }
      }
    }
  }
}

@media screen and (min-width: 992px) {
  .bubbly-button {
    background-color: $icons-chevrons-underline;
    &:before {
      background-image: radial-gradient(
          circle,
          $icons-chevrons-underline 20%,
          transparent 20%
        ),
        radial-gradient(
          circle,
          transparent 20%,
          $icons-chevrons-underline 20%,
          transparent 30%
        ),
        radial-gradient(circle, $icons-chevrons-underline 20%, transparent 20%),
        radial-gradient(circle, $icons-chevrons-underline 20%, transparent 20%),
        radial-gradient(
          circle,
          transparent 10%,
          $icons-chevrons-underline 15%,
          transparent 20%
        ),
        radial-gradient(circle, $icons-chevrons-underline 20%, transparent 20%),
        radial-gradient(circle, $icons-chevrons-underline 20%, transparent 20%),
        radial-gradient(circle, $icons-chevrons-underline 20%, transparent 20%),
        radial-gradient(circle, $icons-chevrons-underline 20%, transparent 20%);
    }
    &:after {
      background-image: radial-gradient(
          circle,
          $icons-chevrons-underline 20%,
          transparent 20%
        ),
        radial-gradient(circle, $icons-chevrons-underline 20%, transparent 20%),
        radial-gradient(
          circle,
          transparent 10%,
          $icons-chevrons-underline 15%,
          transparent 20%
        ),
        radial-gradient(circle, $icons-chevrons-underline 20%, transparent 20%),
        radial-gradient(circle, $icons-chevrons-underline 20%, transparent 20%),
        radial-gradient(circle, $icons-chevrons-underline 20%, transparent 20%),
        radial-gradient(circle, $icons-chevrons-underline 20%, transparent 20%);
    }
  }
}

// FAQ MORE FAQS
.cern-view-display-more_faq {
  .view-content {
    .views-row {
      & > div {
        h3 a {
          &:before {
            color: $icons-chevrons-underline !important;
          }
        }
      }
    }
  }
}

// language switcher
main {
  .region-content {
    .block-language {
      background: $header-background;
      a {
        color: $header-name;
      }
    }
  }
}

// scroling menu
.page-navigation-progress {
  background: $icons-chevrons-underline !important;
}

.page-navigation-progress:after {
  border: 4px solid $icons-chevrons-underline !important;
}

// News list: preview list
.preview-list-component {
  .preview-list-image {
    background-color: $views-cards-background;
  }

  .preview-list-news-info {
    .preview-list-title {
      a {
        color: $link-color;

        &:hover {
          color: $link-color-hover;
        }
      }

      .preview-list-strap,
      .preview-list-news-format,
      .preview-list-date {
        color: $text-color;
      }
    }
  }
}

// components
// ****************
// header
.cern-component-header-blocks {
  .component-header__carousel {
    .owl-dots .owl-dot.active,
    .owl-dots .owl-dot:hover {
      border-color: $icons-slider-navigation-active;
    }
  }
}

.component-header {
  &__carousel {
    .header-block {
      &__title {
        .header-block__name {
          &__underline {
            background: $text-color;
          }
        }
      }
    }
  }
}

// call to action
.component-call-to-action {
  &__wrapper {
    a {
      color: $buttons-primary-text;
      &:hover {
        color: $buttons-primary-text;
      }
    }
  }
}

// featured banner
.component-division {
  &__text {
    background: $views-cards-background;
    &__link {
      color: $views-cards-title;
      a {
        color: $views-cards-title;
      }
      a:hover {
        color: $views-cards-title;
      }
      a:before {
        color: $icons-chevrons-underline;
      }
    }
    &__text {
      color: $views-cards-color;
      a {
        color: $views-cards-color;
      }
      a:hover {
        color: $views-cards-color;
      }
    }
  }
}

// related card
.component-related_card,
.view .component-related_card {
  background: $views-cards-background;
  color: $views-cards-color;
  &__content {
    &__date {
      color: $views-cards-color;
    }
    &__link {
      a {
        span {
          color: $views-cards-title;

          &:hover {
            color: $views-cards-title;
          }
        }
      }
      a:hover {
        color: $views-cards-title;
      }
      a:before {
        color: $icons-chevrons-underline;
      }
    }
    &__text {
      p {
        color: $views-cards-color;
      }
    }
  }
}

// preview card
.component-preview-cards,
.view .component-preview-cards {
  background: $views-cards-background;
  color: $views-cards-color;
  &__icon.video {
    color: $views-cards-color;
  }
  &__icon.image {
    color: $views-cards-color;
  }
  &__box {
    color: $views-cards-color;
  }

  div.preview-card__title {
    color: $views-cards-title;
    h3 {
      a {
        span {
          color: $views-cards-title;

          &:hover {
            color: $views-cards-title;
          }
        }
      }
      a:hover {
        color: $views-cards-title;
      }
      a:before {
        color: $icons-chevrons-underline;
      }
    }
  }

  .preview-card__body {
    * {
      color: $views-cards-color;
    }
  }

  .preview-cards__subtext {
    * {
      color: $views-cards-color;
    }
  }
}

// media content
.component-media-content,
.view .component-media-content {
  background: $views-cards-background;
  color: $views-cards-color;
  &__icon {
    color: $views-cards-color;
  }
  &__title {
    a {
      color: $views-cards-title;
    }
    a:hover {
      color: $views-cards-title;
    }
    a:before {
      color: $icons-chevrons-underline;
    }
  }
}

//Display Formats
.accordion-cern {
  .panel-body {
    p {
      color: $text-color;
    }
  }
}

.events-collision {
  .bubbly-button {
    color: $icons-slider-navigation-active;
  }
  .agenda-box-pattern {
    .agenda-box-pattern__box-wrapper {
      .agenda-box-link {
        h3 {
          a {
            color: $link-color;

            &:hover {
              color: $link-color-hover;
            }

            &::before {
              color: $icons-chevrons-underline;
            }
          }
        }
      }
      .agenda-box-content-type,
      .agenda-box-place {
        color: $text-color;
      }
    }
  }
  .owl-nav .owl-prev,
  .owl-nav .owl-next {
    &::after {
      color: $icons-slider-arrow-active;
    }
    &:hover {
      &::after {
        color: $icons-slider-arrow-active;
      }
    }
    &.disabled {
      &::after {
        color: $icons-slider-arrow-inactive;
      }
    }
  }
}

.event-grid {
  .agenda-box-pattern {
    .agenda-box-date-wrapper {
      * {
        color: $text-color;
      }
    }

    .agenda-box-link {
      a {
        color: $link-color;
        &:hover {
          color: $link-color-hover;
        }
      }
    }

    .agenda-box-content-type,
    .agenda-box-place {
      color: $text-color;
    }

    .agenda-box-cal-wrapper {
      .agenda-box-cal-button a {
        color: $buttons-primary-text;
        background-color: $buttons-primary-background;
        border-color: $buttons-border;

        &:hover {
          background-color: $buttons-primary-background-hover;
        }
      }
    }
  }
}

.vertical-boxes {
  .view-content {
    .agenda-box-pattern {
      background-color: $views-cards-background;

      & * {
        color: $views-cards-color;
      }
      a {
        color: $views-cards-title !important;

        &:hover {
          &:before {
            color: $icons-chevrons-underline;
          }
        }

        span {
          color: $views-cards-title !important;

          &:hover {
            color: $views-cards-title !important;
          }
        }
      }

      .agenda-box-cal-wrapper {
        .agenda-box-cal-button a {
          color: $buttons-primary-text;
          background-color: $buttons-primary-background;
          border-color: $buttons-border;

          &:hover {
            background-color: $buttons-primary-background-hover;
          }
        }
      }
    }
  }
}

.teaser-list-block {
  .views-field {
    a {
      color: $link-color !important;

      &:before {
        color: $icons-chevrons-underline;
      }
    }
  }
}

// block-sticky-bottom block
.block-sticky-bottom {
  background-color: $header-background;

  p {
    color: $menu-link;
  }
}

// for tablet devices
@media only screen and (min-width: 768px) and (max-width: 1080px) {
  header {
    .nav {
      & > li {
        & > a.is-active {
          &:after {
            background: $icons-chevrons-underline;
          }
        }

        & > a,
        & > span {
          &:after {
            background: #efeeec;
          }

          &:hover:after {
            background: $icons-chevrons-underline;
          }
        }
      }
    }
  }
}
